Package com.io7m.cardant.parsers

# Class CAMetadataMatchExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAMetadataMatchExpressions

public final class CAMetadataMatchExpressions extends CAExpressions
Expression parsers for metadata match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAMetadataMatchExpressions(CAStrings inStrings)`
  Expression parsers for metadata match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAMetadataElementMatchType`
  `metadataMatch(String text)`
  Parse a match expression for metadata.
  `com.io7m.jsx.SExpressionType`
  `metadataMatchSerialize(CAMetadataElementMatchType value)`
  Serialize a match expression.
  `String`
  `metadataMatchSerializeToString(CAMetadataElementMatchType value)`
  Serialize a match expression to a string.
  `CAMetadataValueMatchType`
  `metadataValueMatch(String text)`
  Parse a metadata value match expression.
  `protected Map<CAStringConstantType,CAStringConstantType>`
  `syntax()`
  `String`
  `toString()`

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAMetadataMatchExpressions

    public CAMetadataMatchExpressions(CAStrings inStrings)
    Expression parsers for metadata match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### syntax

    protected Map<CAStringConstantType,CAStringConstantType> syntax()
    Specified by:
      `syntax` in class `CAExpressions`

  - ### metadataMatch

    public CAMetadataElementMatchType metadataMatch(String text) throws CAException
    Parse a match expression for metadata.
    Parameters:
      `text` - The input text
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### metadataValueMatch

    public CAMetadataValueMatchType metadataValueMatch(String text) throws CAException
    Parse a metadata value match expression.
    Parameters:
      `text` - The expression text
    Returns:
      A value match expression
    Throws:
      `CAException` - On errors

  - ### metadataMatchSerializeToString

    public String metadataMatchSerializeToString(CAMetadataElementMatchType value) throws CAException
    Serialize a match expression to a string.
    Parameters:
      `value` - The expression
    Returns:
      The serialized text
    Throws:
      `CAException` - On errors

  - ### metadataMatchSerialize

    public com.io7m.jsx.SExpressionType metadataMatchSerialize(CAMetadataElementMatchType value)
    Serialize a match expression.
    Parameters:
      `value` - The expression
    Returns:
      The serialized expression